#!/bin/sh

if [ ! -e dest ]
then
	mkdir dest
fi

for i in *.jpg
do
	echo "Traitement de $i"
	res=`exif -t 0x9003 "$i" 2>/dev/null | grep 'Value:'`
	if (( $? ))
	then 
		echo "Image invalide $i" >&2
	else
		res=`echo $res | sed 's/Value: \(.*\)$/\1/'`
		res=`echo $res | tr -d ': '`
		cp $i dest/${res}$i
	fi
	
	
done